# Maintainer: peippo <christoph+aur@christophfink.com>
pkgname=gtfs2pgrouting
pkgver=0.9.1
pkgrel=2

pkgdesc="Import GTFS data into Postgresql database for use by pgrouting "
url="https://github.com/pgRouting/gtfs2pgrouting"
license=("GPL")
arch=("x86_64")

depends=(
    "pgrouting"
)

source=(
    "${pkgname}-${pkgver}.tar.gz::https://github.com/pgRouting/${pkgname}/archive/refs/tags/${pkgver}.tar.gz"
    "non-local-sqlfile.patch"
)

sha256sums=(
    "5e73a4e7199e994e1fbb4dd00a2812b68549c2795a53c406fc5b56e6738f8563"
    "4bde6c0fba9d3dd1f4a76dac78e472fa0a84cee793963cec840483c176ee1e0d"
)

prepare() {
    cd "${pkgname}-${pkgver}"
    patch --forward --strip=1 --input="${srcdir}/non-local-sqlfile.patch"
}

build() {
	cd "${pkgname}-${pkgver}/Release"
    make
}

package() {
    install \
        -Dm755 \
        "${pkgname}-${pkgver}/Release/gtfs2pgrouting" \
        "${pkgdir}/usr/bin/gtfs2pgrouting"

    install \
        -Dm644 \
        "${pkgname}-${pkgver}/create_tables.sql" \
        "${pkgdir}/usr/share/gtfs2pgrouting/create_tables.sql"
}
